Page MenuHomePhabricator

ContentTranslation segment highlighting goes out of sync
Closed, ResolvedPublic

Description

I'm not sure how to reproduce it consistently, but I see that sometimes segment highlighting goes out of sync. For an example see the following screenshots.

Here the mouse pointer is out of the columns, but a segment is highlighted:

Here the mouse pointer points at the segment, but it's not highlighted, while the corresponding source is highlighted:

(You'll have to believe me about the location of the mouse pointer - it's not visible in the screenshot.)

This probably happens because the source and target modules use toggleClass with cx-highlight, but I didn't debug deeply.

Event Timeline

Amire80 created this task.May 27 2015, 2:03 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 2:03 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:12 PM
Amire80 set Security to None.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:44 PM
Amire80 moved this task from CX8 candidates to Bugs on the ContentTranslation board.
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Sep 3 2018, 12:05 PM
Arrbee closed this task as Resolved.Sep 3 2018, 2:22 PM
Arrbee claimed this task.
Arrbee added a subscriber: Arrbee.

Works differently by design in CX2. To be tested separately.